Name:           python-certbot-dns-transip-simple
Version:        1.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        transip DNS Authenticator plugin for Certbot, simple to set up, no docker etc.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitea.caret.be/jens/certbot-dns-transip
Source:         %{pypi_source certbot_dns_transip_simple}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'certbot-dns-transip-simple' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-certbot-dns-transip-simple
Summary:        %{summary}

%description -n python3-certbot-dns-transip-simple %_description


%prep
%autosetup -p1 -n certbot_dns_transip_simple-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-certbot-dns-transip-simple -f %{pyproject_files}


%changelog
%autochangelog